# Class Document

#### Hierarchy

- Document

- Defined in src/file/file.ts:37

#####
Index

### Constructors

constructor

### Accessors

AppProperties
Comments
ContentTypes
CoreProperties
CustomProperties
Document
FileRelationships
FootNotes
Footers
Headers
Media
Numbering
Settings
Styles

## Constructors

### constructor

- new Document(options: IPropertiesOptions, fileProperties?: IFileProperties): Document

- #### Parameters

  - ##### options: IPropertiesOptions

  - ##### fileProperties: IFileProperties = {}

  #### Returns Document

  - Defined in src/file/file.ts:58

## Accessors

### AppProperties

- get AppProperties(): AppProperties

- #### Returns AppProperties

  - Defined in src/file/file.ts:297

### Comments

- get Comments(): Comments

- #### Returns Comments

  - Defined in src/file/file.ts:309

### ContentTypes

- get ContentTypes(): ContentTypes

- #### Returns ContentTypes

  - Defined in src/file/file.ts:289

### CoreProperties

- get CoreProperties(): CoreProperties

- #### Returns CoreProperties

  - Defined in src/file/file.ts:265

### CustomProperties

- get CustomProperties(): CustomProperties

- #### Returns CustomProperties

  - Defined in src/file/file.ts:293

### Document

- get Document(): DocumentWrapper

- #### Returns DocumentWrapper

  - Defined in src/file/file.ts:257

### FileRelationships

- get FileRelationships(): Relationships

- #### Returns Relationships

  - Defined in src/file/file.ts:277

### FootNotes

- get FootNotes(): FootnotesWrapper

- #### Returns FootnotesWrapper

  - Defined in src/file/file.ts:301

### Footers

- get Footers(): readonly FooterWrapper[]

- #### Returns readonly FooterWrapper[]

  - Defined in src/file/file.ts:285

### Headers

- get Headers(): readonly HeaderWrapper[]

- #### Returns readonly HeaderWrapper[]

  - Defined in src/file/file.ts:281

### Media

- get Media(): Media

- #### Returns Media

  - Defined in src/file/file.ts:273

### Numbering

- get Numbering(): Numbering

- #### Returns Numbering

  - Defined in src/file/file.ts:269

### Settings

- get Settings(): Settings

- #### Returns Settings

  - Defined in src/file/file.ts:305

### Styles

- get Styles(): Styles

- #### Returns Styles

  - Defined in src/file/file.ts:261

Generated using TypeDoc